<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" id="WebApp_ID" version="2.5">
  <display-name>Zallery</display-name>
 
  <welcome-file-list>
    <welcome-file>gallery</welcome-file>
  </welcome-file-list>
  
  <servlet>
    <servlet-name>Zallery</servlet-name>
    <servlet-class>zall.Zallery</servlet-class>    
    <init-param>
		<param-name>WEBSITE_NAME</param-name>
		<param-value>Gallery</param-value>
	</init-param>
	<init-param>
		<param-name>WEBSITE_URL</param-name>
		<param-value>http://example.com/Zallery/</param-value>
	</init-param>
	<init-param>
		<param-name>SMTP_HOST</param-name>
		<param-value>127.0.0.1</param-value>
	</init-param>
    <init-param>
		<param-name>THEME</param-name>
		<param-value></param-value>
	</init-param>
	<init-param>
		<param-name>DATA_PATH</param-name>
		<param-value>C:\\data</param-value>
	</init-param>
	<init-param>
		<param-name>FB_APPID</param-name>
		<param-value>123456789</param-value>
	</init-param>
	<init-param>
		<param-name>FB_APPSEC</param-name>
		<param-value>123456789abcdefklmnopqrst</param-value>
	</init-param>
	<load-on-startup>1</load-on-startup>
  </servlet>
  <servlet-mapping>
    <servlet-name>Zallery</servlet-name>
    <url-pattern>/gallery</url-pattern>
    <url-pattern>/media</url-pattern>
    <url-pattern>/slideshow</url-pattern>
    <url-pattern>/login</url-pattern>
    <url-pattern>/logout</url-pattern>
    <url-pattern>/upload</url-pattern>
    <url-pattern>/profile</url-pattern>
    <url-pattern>/users</url-pattern>
    <url-pattern>/register</url-pattern>
  </servlet-mapping>
  
  <servlet>
    <servlet-name>Content</servlet-name>
    <servlet-class>zall.ZalleryContent</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>Content</servlet-name>
    <url-pattern>/content</url-pattern>
  </servlet-mapping>
  
  <servlet>
    <servlet-name>Ajax</servlet-name>
    <servlet-class>zall.ZalleryAjax</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>Ajax</servlet-name>
    <url-pattern>/ajax</url-pattern>
  </servlet-mapping>
  
  <servlet>
	<servlet-name>Upload</servlet-name>
	<servlet-class>zall.UploadServlet</servlet-class>
	<init-param>
		<param-name>TEMP_PATH</param-name>
		<param-value>C:\\temp</param-value>
	</init-param>
	<init-param>
		<param-name>ALLOWED_EXTENSIONS</param-name>
		<param-value>png,jpg,jpeg,gif,tif,bmp,avi,wmv,mov,mp4,mpeg,flv,m4v,divx,xvid</param-value>
	</init-param>
  </servlet>
  <servlet-mapping>
    <servlet-name>Upload</servlet-name>
    <url-pattern>/uploadserv</url-pattern>
  </servlet-mapping>
  
  <servlet>
    <servlet-name>transcoder</servlet-name>
    <servlet-class>zall.ZalleryTranscoder</servlet-class>
    <load-on-startup>1</load-on-startup>
  </servlet>
  
  <welcome-file-list>
    <welcome-file>gallery</welcome-file>
  </welcome-file-list>
</web-app>